Name:    oxygen-gtk
Version: 1.4.6
Release: %mkrel 8
Summary: A port of the default KDE widget theme (Oxygen) to gtk
Group:   Graphical desktop/KDE
License: LGPLv2+
URL:     https://projects.kde.org/projects/playground/artwork/oxygen-gtk
Source0: https://download.kde.org/stable/oxygen-gtk2/%{version}/src/%{name}2-%{version}.tar.bz2
Patch0:  oxygen-gtk2-1.4.6-workaround-crash-with-dropbox.patch
Patch1:  oxygen-gtk2-1.4.6-detect-kompozer-and-bluegriffon-as-XUL-application.patch
Patch2:  oxygen-gtk2-1.4.6-use-Adwaita-as-fallback-icon-theme.patch
Patch3:  oxygen-gtk2-1.4.6-detect-iceape-as-XUL-application.patch
Patch4:  oxygen-gtk2-cmake-4.0.patch

BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(cairo)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: cmake

Requires: oxygen-gtk2-engine

%description
Oxygen-Gtk is a port of the default KDE widget theme (Oxygen), to gtk.

It's primary goal is to ensure visual consistency between gtk and qt-based
applications running under kde. A secondary objective is to also have a
stand-alone nice looking gtk theme that would behave well on other Desktop
Environments.

Unlike other attempts made to port the kde oxygen theme to gtk, this attempt
does not depend on Qt (via some Qt to Gtk conversion engine), nor does render
the widget appearance via hard coded pixmaps, which otherwise breaks every time
some setting is changed in kde.

%files
%doc AUTHORS COPYING INSTALL README
%{_bindir}/*
%{_datadir}/themes/oxygen-gtk

#------------------------------------------------

%define libname %mklibname oxygen-gtk

%package -n %{libname}
Summary:	Dynamic libraries for %{name}
Group:		System/Libraries
Provides:	oxygen-gtk2-engine 
Conflicts:	oxygen-gtk < 1.0.4-2

%description -n %{libname}
Dynamic libraries for %{name}.

%files -n %libname
%{_libdir}/gtk-2.0/2.10.0/engines/liboxygen-gtk.so

#------------------------------------------------

%prep
%setup -q -n %{name}2-%{version}
%autopatch -p1

%build
%cmake -DOXYGEN_FORCE_KDE_ICONS_AND_FONTS=0
%cmake_build

%install
%cmake_install


%changelog
* Wed Jul 02 2025 aurr <aurr> 1.4.6-8.mga10
+ Revision: 2238740
- fix build with cmake-4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild
- Mageia 10 Mass Rebuild

* Wed Mar 30 2022 umeabot <umeabot> 1.4.6-6.mga9
+ Revision: 1834545
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.4.6-5.mga8
+ Revision: 1515745
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Sep 23 2018 umeabot <umeabot> 1.4.6-4.mga7
+ Revision: 1300080
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Tue Feb 09 2016 umeabot <umeabot> 1.4.6-3.mga6
+ Revision: 951073
- Mageia 6 Mass Rebuild

* Sun Dec 07 2014 lmenut <lmenut> 1.4.6-2.mga5
+ Revision: 802089
- detect iceape as XUL application (mga#12978)

* Tue Oct 28 2014 lmenut <lmenut> 1.4.6-1.mga5
+ Revision: 794075
- Update to 1.4.6
- try to prevent crashes in libpng with Dropbox (mga#13733)
- detect kompozer and bluegriffon as XUL application (mga#12734, mga#13910)
- use Adwaita as gtk-fallback-icon-theme

* Wed Oct 15 2014 umeabot <umeabot> 1.4.5-3.mga5
+ Revision: 750510
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.5-2.mga5
+ Revision: 683295
- Mageia 5 Mass Rebuild

* Sat Apr 12 2014 fwang <fwang> 1.4.5-1.mga5
+ Revision: 613577
- 1.4.5

* Tue Feb 04 2014 fwang <fwang> 1.4.3-1.mga5
+ Revision: 581649
- new version 1.4.3

* Thu Jan 09 2014 tmb <tmb> 1.4.2-0.rc1.1.mga4
+ Revision: 565961
- update to 1.4.2-rc1

* Mon Dec 23 2013 tmb <tmb> 1.4.1-2.mga4
+ Revision: 560127
- push to /release

* Mon Dec 16 2013 lmenut <lmenut> 1.4.1-1.mga4
+ Revision: 557949
- update to 1.4.1

* Sat Oct 19 2013 umeabot <umeabot> 1.4.0-3.mga4
+ Revision: 533773
- Mageia 4 Mass Rebuild

* Wed Sep 04 2013 tmb <tmb> 1.4.0-2.mga4
+ Revision: 475201
- revert broken fix for 10519

* Sun Sep 01 2013 fwang <fwang> 1.4.0-1.mga4
+ Revision: 474033
- new version 1.4.0

* Sun Aug 04 2013 tmb <tmb> 1.3.4-2.mga4
+ Revision: 463594
- fix warning when no kde installed (P0, mga #10519)

* Mon Jun 03 2013 fwang <fwang> 1.3.4-1.mga4
+ Revision: 436123
- new verison 1.3.4

* Fri May 24 2013 fwang <fwang> 1.3.3-1.mga4
+ Revision: 425749
- new version 1.3.3

* Wed Feb 13 2013 fwang <fwang> 1.3.2.1-1.mga3
+ Revision: 398204
- new version 1.3.2.1

* Thu Jan 31 2013 fwang <fwang> 1.3.2-1.mga3
+ Revision: 393628
- new version 1.3.2

* Sun Jan 13 2013 umeabot <umeabot> 1.3.1-2.mga3
+ Revision: 362287
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 09 2012 fwang <fwang> 1.3.1-1.mga3
+ Revision: 303798
- new version 1.3.1

* Tue Jul 17 2012 fwang <fwang> 1.3.0-1.mga3
+ Revision: 271616
- new version 1.3.0

* Sat Jun 16 2012 fwang <fwang> 1.2.5-1.mga3
+ Revision: 260949
- new version 1.2.5

* Mon May 28 2012 fwang <fwang> 1.2.4-1.mga3
+ Revision: 248428
- new version 1.2.4

* Tue May 01 2012 wally <wally> 1.2.3-2.mga2
+ Revision: 234424
- don't force KDE icons and fonts when running in non-KDE (set OXYGEN_FORCE_KDE_ICONS_AND_FONTS to 0)

* Sun Apr 15 2012 fwang <fwang> 1.2.3-1.mga2
+ Revision: 230836
- new version 1.2.3

* Sun Mar 25 2012 lmenut <lmenut> 1.2.2-2.mga2
+ Revision: 226339
- bump release to ensure update to upstream 1.2.2-1
+ dmorgan <dmorgan>
- New version 1.2.2-1

* Tue Mar 20 2012 dmorgan <dmorgan> 1.2.1-3.mga2
+ Revision: 225059
- Revert to version 1.2.1

* Mon Mar 12 2012 fwang <fwang> 1.2.2-1.mga2
+ Revision: 222975
- new version 1.2.2

* Thu Feb 16 2012 fwang <fwang> 1.2.1-2.mga2
+ Revision: 209591
- br dbus

* Thu Feb 16 2012 fwang <fwang> 1.2.1-1.mga2
+ Revision: 209585
- new version 1.2.1

* Fri Feb 10 2012 tv <tv> 1.2.0-3.mga2
+ Revision: 206889
- patch 1: fix metacity crash with gnomeclassic (mga#4408)

* Wed Feb 01 2012 juancho <juancho> 1.2.0-2.mga2
+ Revision: 203842
- Added patch fixing hovering menus problem on MCC (BUG: 3509)

* Wed Jan 18 2012 juancho <juancho> 1.2.0-1.mga2
+ Revision: 197784
- Updated to 1.2.0

* Sat Dec 17 2011 fwang <fwang> 1.1.6-1.mga2
+ Revision: 182929
- new version 1.1.6

* Sat Dec 10 2011 tv <tv> 1.1.5-3.mga2
+ Revision: 180415
- rebuild with new gcc & binutils (might help with crashes in libstdc++)

* Tue Nov 29 2011 juancho <juancho> 1.1.5-2.mga2
+ Revision: 174050
- Changed lib provides to oxygen-gtk2-engine instead of oxygen-gtk-gtk2-engine for consistency. The same with the Requires on main package.

* Fri Nov 18 2011 juancho <juancho> 1.1.5-1.mga2
+ Revision: 169009
- Uploaded sources for 1.1.5
- Updated to 1.1.5

* Mon Oct 24 2011 fwang <fwang> 1.1.4-1.mga2
+ Revision: 157619
- new version 1.1.4

* Sat Sep 17 2011 fwang <fwang> 1.1.3-1.mga2
+ Revision: 144387
- new version 1.1.3
- new version 1.1.2

* Sat Jul 16 2011 fwang <fwang> 1.1.1-1.mga2
+ Revision: 124654
- new version 1.1.1

* Fri Jul 15 2011 dmorgan <dmorgan> 1.1.0-4.mga2
+ Revision: 124350
- Remove debug option

* Thu Jul 07 2011 dmorgan <dmorgan> 1.1.0-3.mga2
+ Revision: 119708
- Enable debug

* Tue Jul 05 2011 dmorgan <dmorgan> 1.1.0-2.mga2
+ Revision: 118928
- Do not requires kde apps in gtk theme

* Thu Jun 16 2011 fwang <fwang> 1.1.0-1.mga2
+ Revision: 108140
- new version 1.1.0

* Sun Apr 24 2011 lmenut <lmenut> 1.0.4-3.mga1
+ Revision: 90040
- add forgotten conflicts

* Sun Apr 24 2011 lmenut <lmenut> 1.0.4-2.mga1
+ Revision: 90031
- libify oxygen-gtk engine (#957)

* Thu Apr 14 2011 mikala <mikala> 1.0.4-1.mga1
+ Revision: 85194
- Update tarball to 1.0.4

* Fri Mar 18 2011 mikala <mikala> 1.0.3-1.mga1
+ Revision: 73956
- Update tarball to 1.0.3

* Sat Feb 12 2011 ahmad <ahmad> 1.0.2-1.mga1
+ Revision: 50959
- update to 1.0.2

* Mon Feb 07 2011 ahmad <ahmad> 1.0.1-2.mga1
+ Revision: 48789
- drop unneeded macros
- imported package oxygen-gtk


* Fri Jan 14 2011 Funda Wang <fwang@mandriva.org> 1.0.1-1mdv2011.0
+ Revision: 631031
- new version 1.0.1 final

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - suggest systemsettings-qt-gtk for older stable distros

* Tue Dec 28 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.0.1-0.git210101224.1mdv2011.0
+ Revision: 625492
- use the git branch 1.0 (not trunk)
- push a new git snapshot
- change group to Graphical desktop/KDE
- suggest gtk-qt-kcm to offer users an easy way to change GTK2+ themes under kde;
  gtk-qt-kcm offers a configuration module in systemsettings> "Application Appearance".

* Mon Dec 13 2010 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 620623
- import oxygen-gtk

